# welco - multichannel request processing
# Copyright (C) 2015  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.urlresolvers import reverse_lazy
from django.views.generic import (DetailView, CreateView, UpdateView,
        ListView, DeleteView)

from .models import Page


class PageListView(ListView):
    model = Page

page_list = PageListView.as_view()


class PageAddView(CreateView):
    model = Page

page_add = PageAddView.as_view()


class PageEditView(UpdateView):
    model = Page

page_edit = PageEditView.as_view()


class PageDetailView(DetailView):
    model = Page

page_detail = PageDetailView.as_view()


class PageDeleteView(DeleteView):
    model = Page
    success_url = reverse_lazy('kb-home')

page_delete = PageDeleteView.as_view()
