# welco - multichannel request processing
# Copyright (C) 2015  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.contrib.contenttypes.models import ContentType
from django.contrib.contenttypes import generic
from django.db import models


class FormdefReference(models.Model):
    reference = models.CharField(max_length=250)


class FormdataReference(models.Model):
    reference = models.CharField(max_length=250)


class Association(models.Model):
    source_type = models.ForeignKey(ContentType)
    source_pk = models.PositiveIntegerField()
    source = generic.GenericForeignKey('source_type', 'source_pk')

    formdefs = models.ManyToManyField(FormdefReference)
    formdatas = models.ManyToManyField(FormdataReference)

    # +avis a (roles or users?)
    # +info a (roles or users?)
